
unit U_iniParam;

interface
uses
  IniFiles,SysUtils;
var
  Filename:string;      //文件名
  iParam2:integer;
  bParam1:Boolean;
  bParam2:Boolean;
  SCXFlag:String;  //生产线   根据此标志获取卷条码前缀 不能包含字母  1,2
  SCXCount:String;  //机台个数
  PortNoStr:string;//端口号
  DllName:string;//端口Dll文件
  Function IsINIFile():Boolean;  //判断InI配置文件是否存在
  procedure ReadINIFile();
  procedure WriteINIFile();
implementation
///////////////////////////////////////////////////////////////////
  //读取ini文件设置参数
  //参数：
////////////////////////////////////////////////////////////////////
procedure ReadINIFile();
var
  programIni:Tinifile;  //配置文件名
begin
  FileName:=ExtractFilePath(Paramstr(0))+'File.INI';
  programIni:=Tinifile.create(FileName);
  SCXFlag:=programIni.ReadString('生产车间配置','卷条码机台标志','1');
  SCXCount:=programIni.ReadString('生产车间配置','机台个数','1');
  PortNoStr:=programIni.ReadString('生产车间配置','端口号','com1');
  DllName:=programIni.ReadString('生产车间配置','端口Dll文件','JZCRS323C.DLL');
  programIni.Free;
end;

//////////////////////////////////////////////////////////////////
  //写设置信息到INI文件
  //参数
//////////////////////////////////////////////////////////////////
procedure WriteINIFile();
var
  programIni:Tinifile;  //配置文件名
begin
  FileName:=ExtractFilePath(Paramstr(0))+'File.INI';
  programIni:=Tinifile.create(FileName);
  programIni.WriteString('生产车间配置','卷条码机台标志',SCXFlag);
  programIni.WriteString('生产车间配置','机台个数',SCXCount);
  programIni.WriteString('生产车间配置','端口号',PortNoStr);
  programIni.WriteString('生产车间配置','端口Dll文件',DllName);
  programIni.Free;
end;
//////////////////////////////////////////////////////////////////
  //判断InI文件是否存在
//////////////////////////////////////////////////////////////////
 Function IsINIFile():Boolean;
 begin
   FileName:=ExtractFilePath(Paramstr(0))+'File.INI';
   if FileExists(FileName) then
      Result:=true
   else
      Result:=false;
 end;

end.
